org.vishia.commander

## Class FcmdFavorPathSelector.WindowConfirmAddFavorite

- java.lang.Object
- - org.vishia.commander.FcmdFavorPathSelector.WindowConfirmAddFavorite

- Enclosing class:
    FcmdFavorPathSelector

      static class FcmdFavorPathSelector.WindowConfirmAddFavorite
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) FcmdLeftMidRightPanel` | `panelInvocation` The panel from where the window was opened.
    `(package private) GralTextField_ifc` | `widgLabel` The tab input field in window confirm add favorite.
    `(package private) GralTextField_ifc` | `widgPath` The path input field in window confirm add favorite.
    `(package private) GralTextField_ifc` | `widgPersistent` A field where "lmr" may be written to make the tab persistent.
    `(package private) GralTextField_ifc` | `widgShortName` The short name input field in window confirm add favorite.
    `(package private) GralWindow_ifc` | `window` The window for confirming adding a new favorite.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowConfirmAddFavorite()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### window

          GralWindow_ifc window

      The window for confirming adding a new favorite.

    - #### panelInvocation

          FcmdLeftMidRightPanel panelInvocation

      The panel from where the window was opened. It helps to get the current selected line in favorites.

    - #### widgShortName

          GralTextField_ifc widgShortName

      The short name input field in window confirm add favorite.

    - #### widgLabel

          GralTextField_ifc widgLabel

      The tab input field in window confirm add favorite.

    - #### widgPath

          GralTextField_ifc widgPath

      The path input field in window confirm add favorite.

    - #### widgPersistent

          GralTextField_ifc widgPersistent

      A field where "lmr" may be written to make the tab persistent.

  - ### Constructor Detail

    - #### WindowConfirmAddFavorite

          WindowConfirmAddFavorite()